## rsync 2.6.9-1

=== debian/changelog ===
rsync (2.6.9-1) mistral; urgency=low

  * Repackaged for Maemo Extras repository.

 -- Luca Donaggio <donaggio@gmail.com>  Mon, 19 Feb 2007 10:56:04 +0100

## rsync 3.4.1+ds1

=== support/Makefile ===
all: savetransfer

savetransfer: savetransfer.o

clean:
	rm -f *.o savetransfer

## rsync 2.6.9-2

=== debian/changelog ===
rsync (2.6.9-2) chinook; urgency=low

  * Recompiled for Maemo 4.x (Chinhook).

 -- Luca Donaggio <donaggio@gmail.com>  Mon, 12 Nov 2007 17:10:00 +0200

rsync (2.6.9-1) bora; urgency=low

  * Repackaged for Maemo Extras repository.

 -- Luca Donaggio <donaggio@gmail.com>  Mon, 8 Nov 2007 10:17:04 +0200

=== debian/control ===
Source: rsync
Section: user/accessories
Priority: optional
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rsync is an open source utility that provides fast incremental file transfer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/rsync.sgml > rsync.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rsync.
	$(MAKE) install prefix=$(CURDIR)/debian/rsync/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rsync 3.0.0-2maemo2

=== debian/changelog ===
rsync (3.0.0-2maemo2) unstable; urgency=low

  * test for /etc/default/rcS so we won't error on it
  * Minor changes so it can be installed on nokia tablets from user

 -- Tom Zerucha <tz1@mac.com>  Sun, 21 Dec 2008 00:01:00 -0600

rsync (3.0.0-2) unstable; urgency=low

  * patch from upstream to fix crash in single-use daemon mode.
    see #469172, although this only fixes the secondary part of that report.

 -- Paul Slootman <paul@debian.org>  Tue, 04 Mar 2008 12:34:03 +0100

rsync (3.0.0-1) unstable; urgency=low

  * new upstream release
  * manpage typo fixed upstream.
    closes:#414636
  * fixed LSB header in init.d script.
    closes:#458442
  * the progress display will not show negative values, if the file changes
    (becomes shorter) during the transfer.
    closes:#415648
  * manpage now correctly show the short form of copy-dirlinks as -k, not -K
    closes:#418923
  * invalid free() pointer doesn't occur anymore.
    closes:#451558
  * rsync will now write in log when --exclude-from is stdin.
    closes:#466950
  * check for rsyncd.conf in init.d script when starting or restarting.
    closes:#412448
  * include scripts from upstream support directory in
    /usr/share/doc/rsync/scripts/
    closes:#458200
  * include example logrotate config file in /usr/share/doc/rsync/examples/
    closes:#416316
  * filename conversion is now possible with the --iconv option. Noe exactly
    what was asked, but close enough IMHO to close:#320223

 -- Paul Slootman <paul@debian.org>  Sun, 02 Mar 2008 13:45:09 +0100

rsync (3.0.0~pre10-1) experimental; urgency=low

  * OK, one more prerelease version
  * fixed LSB header in init.d script.
    closes:#458442
  * manpage typo fixed.
    closes:#414636

 -- Paul Slootman <paul@debian.org>  Wed, 20 Feb 2008 11:20:47 +0100

rsync (3.0.0~pre9-1) experimental; urgency=low

  * prerelease version 9 of 3.0.0, hopefully the last before official 3.0.0
  * Updated fsf.org link to GPL-3 text in copyright file.

 -- Paul Slootman <paul@debian.org>  Mon, 11 Feb 2008 11:35:13 +0100

rsync (3.0.0~pre8-2) experimental; urgency=low

  * fix hardlinking 64-bit inodes

 -- Paul Slootman <paul@debian.org>  Mon, 04 Feb 2008 16:25:54 +0100

rsync (3.0.0~pre8-1) experimental; urgency=low

  * prerelease version 8 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Sun, 13 Jan 2008 13:37:17 +0100

rsync (3.0.0~pre7-1) experimental; urgency=low

  * prerelease version 7 of 3.0.0
  * includes fix for the recent CVE-2007-6199, CVE-2007-6200 vulnerabilities
  * modified the way supplemental patches from debian/patches/ are applied
    (accept both .patch and .diff extensions)

 -- Paul Slootman <paul@debian.org>  Thu, 20 Dec 2007 12:53:35 +0100

rsync (3.0.0~pre6-1) experimental; urgency=low

  * prerelease version 6 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Wed, 28 Nov 2007 12:54:15 +0100

rsync (3.0.0~pre5-1) experimental; urgency=low

  * prerelease version 5 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Mon, 12 Nov 2007 12:30:38 +0100

rsync (3.0.0~pre4-1) experimental; urgency=low

  * prerelease version 4 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Thu, 08 Nov 2007 19:32:18 +0100

rsync (3.0.0~pre1-1) experimental; urgency=low

  * prerelease version 1 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Fri, 05 Oct 2007 11:06:31 +0200

rsync (2.6.9-5) unstable; urgency=high

  * fix two off-by-one errors leading to potential buffer overflow which may
    corrupt the stack (CVE-2007-4091)
    closes:#438125

 -- Paul Slootman <paul@debian.org>  Wed, 15 Aug 2007 21:24:47 +0200

rsync (2.6.9-4) unstable; urgency=low

  * Check for empty filename (buggy kernel may have that in /sys)
  * include README.Debian in the package...
  * init.d script checks whether rsync stays running, or whether it was
    running during a restart.
    closes:#412448
  * fixed typos in manpage
    closes:414636

 -- Paul Slootman <paul@debian.org>  Thu, 26 Jul 2007 19:03:54 +0200

rsync (2.6.9-3) unstable; urgency=low

  * Add patch from upstream to fix error when using -vv together with --stats.
    closes:#402381
  * treat errno == ENOSYS the same as errno == ENOTSUP on hppa as far as ACL
    support is concerned.
    closes:#401189

 -- Paul Slootman <paul@debian.org>  Tue, 12 Dec 2006 14:39:43 +0100

rsync (2.6.9-2) unstable; urgency=low

  * Applied patch from upstream to fix problem
    with --acl together with --delete
    (see http://lists.samba.org/archiv:ee/rsync/2006-November/016706.html)
  * Couple of adjustments to manpage formatting.

 -- Paul Slootman <paul@debian.org>  Mon, 20 Nov 2006 15:43:12 +0100

rsync (2.6.9-1) unstable; urgency=low

  * New upstream release.
  * (from experimental version 2.6.9~pre3-1)
    Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Upstream now includes the patch for replacing a dir with a symlink when
    using --delete-after.
    closes:#350522
  * Now includes the ACL patch.

 -- Paul Slootman <paul@debian.org>  Tue,  7 Nov 2006 12:32:20 +0100

rsync (2.6.9~pre3-1) experimental; urgency=low

  * 2.6.9-pre3
  * Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Updated policy version from 3.6.2 to 3.7.2; no changes needed
  * Applied ACL patch. Please test :-)

 -- Paul Slootman <paul@debian.org>  Fri, 27 Oct 2006 12:27:45 +0200

rsync (2.6.9~pre1-1) experimental; urgency=low

  * 1st prerelease of rsync-2.6.9

 -- Paul Slootman <paul@debian.org>  Sat, 14 Oct 2006 18:48:27 +0200

rsync (2.6.8-2) unstable; urgency=low

  * Ignore empty value for RSYNC_NICE.
    closes:#365261

 -- Paul Slootman <paul@debian.org>  Sat, 29 Apr 2006 13:07:43 +0200

rsync (2.6.8-1) unstable; urgency=low

  * new upstream version
  * Updated standards version to 3.6.2 (no changes necessary).
  * (from experimental version 2.6.7-2.6.8pre1):
    Split ssh suggestion into openssh-server and openssh-client.


=== debian/control ===
Source: rsync
Section: user/utilities
Priority: optional
Maintainer: Tom Zerucha <tz1@mac.com>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.

=== rsync-3.0.0/debian/control ===
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.
Source: rsync
Section: net
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
Standards-Version: 3.7.2

Package: rsync
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0), base-files (>= 4.0.1)
Suggests: openssh-client, openssh-server
Description: fast remote file copy program (like rcp)
 rsync is a program that allows files to be copied to and from remote
 machines in much the same way as rcp.  It has many more options than
 rcp, and uses the rsync remote-update protocol to greatly speed up
 file transfers when the destination file already exists.
 .
 The rsync remote-update protocol allows rsync to transfer just the
 differences between two sets of files across the network link.
 .
 This package also includes rsyncd daemon functionality.

=== debian/rules ===
#!/usr/bin/make -f
# debian.rules file for rsync
# Copyright 1996 by Philip Hands.
# Copyright 2001 Colin Walters <walters@debian.org>
# Based on the  sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)


SHELL =	/bin/bash
BINS = rsync
CFLAGS= -Wall
INSTALL = install
INSTALL_FILE = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR = $(INSTALL) -p -d -o root -g root  -m  755

# policy stuff
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
else
CFLAGS += -g -O2
endif

# backwards compatibility stuff, from dpkg-architecture manpage
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_BUILD_GNU_CPU := $(patsubst hurd-%,%,$(DEB_BUILD_ARCH))
ifeq ($(filter-out hurd-%,$(DEB_BUILD_ARCH)),)
DEB_BUILD_GNU_SYSTEM := gnu
else
DEB_BUILD_GNU_SYSTEM := linux
endif
DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)

DEB_HOST_ARCH=$(DEB_BUILD_ARCH)
DEB_HOST_GNU_CPU=$(DEB_BUILD_GNU_CPU)
DEB_HOST_GNU_SYSTEM=$(DEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE)

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)


build:
	echo building build tree
	-rm -rf debian/buildtree
	mkdir debian/buildtree
	cp -p * debian/buildtree || true
	cp -r lib popt support testsuite zlib debian/buildtree
	@echo applying acl support patch
	cat patches/acls.diff | (cd debian/buildtree; patch -p1)
	@echo applying misc Debian patches
	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1); fi; done
	echo configuring
	(cd debian/buildtree; ./configure --prefix=/usr --mandir='$${prefix}/share/man' --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE))
	# --enable-acl-support
	echo building
	$(MAKE) --directory=debian/buildtree CFLAGS="$(CFLAGS)" all
	touch build
	echo done

clean: checkdir
	-rm -f build
	# -$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf debian/buildtree
	-rm -rf *~ debian/tmp debian/*~ debian/*.bak debian/files* debian/substvars
	# -rm -f lib/dummy zlib/dummy
	# rm -f config.cache config.log acconfig.h

binary-indep:	checkroot build
# nothing to do

binary-arch:	checkroot build
	-rm -rf debian/tmp
	$(INSTALL_DIR) 	debian/tmp \
			debian/tmp/DEBIAN \
			debian/tmp/usr/bin \
			debian/tmp/usr/share/doc/rsync/examples \
			debian/tmp/usr/share/doc/rsync/scripts \
			debian/tmp/usr/share/man/man1 \
			debian/tmp/usr/share/man/man5 \
			debian/tmp/etc \
			debian/tmp/etc/default \
			debian/tmp/etc/init.d
			# debian/tmp/usr/lib/debian-test/tests
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	$(MAKE) --directory=debian/buildtree install-strip prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr
else
	$(MAKE) --directory=debian/buildtree install prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr
endif
	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/rsync/changelog.Debian
	$(INSTALL_FILE) README tech_report.tex debian/tmp/usr/share/doc/rsync/
	$(INSTALL_FILE) TODO                   debian/tmp/usr/share/doc/rsync/
	$(INSTALL_FILE) NEWS                   debian/tmp/usr/share/doc/rsync/changelog
	$(INSTALL_FILE) support/atomic-rsync support/cull_options support/cvs2includes support/file-attr-restore support/files-to-excludes support/git-set-file-times support/logfilter support/lsh support/mnt-excl support/munge-symlinks support/rrsync support/rsyncstats debian/tmp/usr/share/doc/rsync/scripts/
	# $(INSTALL_FILE) debian/README.Debian   debian/tmp/usr/share/doc/rsync/
	echo -e '\n\f' >> debian/tmp/usr/share/doc/rsync/changelog
	cat OLDNEWS    >> debian/tmp/usr/share/doc/rsync/changelog
	gzip -9fr `find debian/tmp/usr/share/doc/ debian/tmp/usr/share/man/ -type f`
	$(INSTALL_FILE) debian/rsyncd.conf debian/logrotate.conf.rsync debian/tmp/usr/share/doc/rsync/examples/
	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/rsync/
	# $(INSTALL_SCRIPT) test.sh debian/tmp/usr/lib/debian-test/tests/rsync
	$(INSTALL_SCRIPT) debian/postinst debian/tmp/DEBIAN/
	$(INSTALL_SCRIPT) debian/prerm    debian/tmp/DEBIAN/
	$(INSTALL_SCRIPT) debian/postrm   debian/tmp/DEBIAN/
	$(INSTALL_FILE) debian/default  debian/tmp/etc/default/rsync
	$(INSTALL_SCRIPT) debian/init.d debian/tmp/etc/init.d/rsync
	(cd debian/tmp; find ./etc -type f | sed s,.,,) > debian/tmp/DEBIAN/conffiles
	dpkg-shlibdeps debian/tmp/usr/bin/$(BINS)
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkdir:
	@test -f rsync.c -a -f debian/rules

checkroot: checkdir
	@test 0 = `id -u` || { echo "Error: not super-user"; exit 1; }

.PHONY: binary binary-arch binary-indep clean checkroot checkdir

=== rsync-3.0.0/debian/rules ===
#!/usr/bin/make -f
# debian.rules file for rsync
# Copyright 1996 by Philip Hands.
# Copyright 2001 Colin Walters <walters@debian.org>
# Based on the  sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)


SHELL =	/bin/bash
BINS = rsync
CFLAGS= -Wall
INSTALL = install
INSTALL_FILE = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR = $(INSTALL) -p -d -o root -g root  -m  755

# policy stuff
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
else
CFLAGS += -g -O2
endif

# backwards compatibility stuff, from dpkg-architecture manpage
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_BUILD_GNU_CPU := $(patsubst hurd-%,%,$(DEB_BUILD_ARCH))
ifeq ($(filter-out hurd-%,$(DEB_BUILD_ARCH)),)
DEB_BUILD_GNU_SYSTEM := gnu
else
DEB_BUILD_GNU_SYSTEM := linux
endif
DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)

DEB_HOST_ARCH=$(DEB_BUILD_ARCH)
DEB_HOST_GNU_CPU=$(DEB_BUILD_GNU_CPU)
DEB_HOST_GNU_SYSTEM=$(DEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE)

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)


build:
	echo building build tree
	-rm -rf debian/buildtree
	mkdir debian/buildtree
	cp -p * debian/buildtree || true
	cp -r lib popt support testsuite zlib debian/buildtree
	@echo applying acl support patch
	cat patches/acls.diff | (cd debian/buildtree; patch -p1)
	@echo applying misc Debian patches
	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1); fi; done
	echo configuring
	(cd debian/buildtree; ./configure --prefix=/usr --mandir='$${prefix}/share/man' --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE))
	# --enable-acl-support
	echo building
	$(MAKE) --directory=debian/buildtree CFLAGS="$(CFLAGS)" all
	touch build
	echo done

clean: checkdir
	-rm -f build
	# -$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf debian/buildtree
	-rm -rf *~ debian/tmp debian/*~ debian/*.bak debian/files* debian/substvars
	# -rm -f lib/dummy zlib/dummy
	# rm -f config.cache config.log acconfig.h

binary-indep:	checkroot build
# nothing to do

binary-arch:	checkroot build
	-rm -rf debian/tmp
	$(INSTALL_DIR) 	debian/tmp \
			debian/tmp/DEBIAN \
			debian/tmp/usr/bin \
			debian/tmp/usr/share/doc/rsync/examples \
			debian/tmp/usr/share/doc/rsync/scripts \
			debian/tmp/usr/share/man/man1 \
			debian/tmp/usr/share/man/man5 \
			debian/tmp/etc \
			debian/tmp/etc/default \
			debian/tmp/etc/init.d
			# debian/tmp/usr/lib/debian-test/tests
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	$(MAKE) --directory=debian/buildtree install-strip prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr
else
	$(MAKE) --directory=debian/buildtree install prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr
endif
	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/rsync/changelog.Debian
	$(INSTALL_FILE) README tech_report.tex debian/tmp/usr/share/doc/rsync/
	$(INSTALL_FILE) TODO                   debian/tmp/usr/share/doc/rsync/
	$(INSTALL_FILE) NEWS                   debian/tmp/usr/share/doc/rsync/changelog
	$(INSTALL_FILE) support/atomic-rsync support/cull_options support/cvs2includes support/file-attr-restore support/files-to-excludes support/git-set-file-times support/logfilter support/lsh support/mnt-excl support/munge-symlinks support/rrsync support/rsyncstats debian/tmp/usr/share/doc/rsync/scripts/
	# $(INSTALL_FILE) debian/README.Debian   debian/tmp/usr/share/doc/rsync/
	echo -e '\n\f' >> debian/tmp/usr/share/doc/rsync/changelog
	cat OLDNEWS    >> debian/tmp/usr/share/doc/rsync/changelog
	gzip -9fr `find debian/tmp/usr/share/doc/ debian/tmp/usr/share/man/ -type f`
	$(INSTALL_FILE) debian/rsyncd.conf debian/logrotate.conf.rsync debian/tmp/usr/share/doc/rsync/examples/
	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/rsync/
	# $(INSTALL_SCRIPT) test.sh debian/tmp/usr/lib/debian-test/tests/rsync
	$(INSTALL_SCRIPT) debian/postinst debian/tmp/DEBIAN/
	$(INSTALL_SCRIPT) debian/prerm    debian/tmp/DEBIAN/
	$(INSTALL_SCRIPT) debian/postrm   debian/tmp/DEBIAN/
	$(INSTALL_FILE) debian/default  debian/tmp/etc/default/rsync
	$(INSTALL_SCRIPT) debian/init.d debian/tmp/etc/init.d/rsync
	(cd debian/tmp; find ./etc -type f | sed s,.,,) > debian/tmp/DEBIAN/conffiles
	dpkg-shlibdeps debian/tmp/usr/bin/$(BINS)
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkdir:
	@test -f rsync.c -a -f debian/rules

checkroot: checkdir
	@test 0 = `id -u` || { echo "Error: not super-user"; exit 1; }

.PHONY: binary binary-arch binary-indep clean checkroot checkdir
#!/usr/bin/make -f
# debian.rules file for rsync
# Copyright 1996 by Philip Hands.
# Copyright 2001 Colin Walters <walters@debian.org>
# Based on the  sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)


SHELL =	/bin/bash
BINS = rsync
CFLAGS= -Wall
INSTALL = install
INSTALL_FILE = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR = $(INSTALL) -p -d -o root -g root  -m  755

# policy stuff
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
else
CFLAGS += -g -O2
endif

# backwards compatibility stuff, from dpkg-architecture manpage
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_BUILD_GNU_CPU := $(patsubst hurd-%,%,$(DEB_BUILD_ARCH))
ifeq ($(filter-out hurd-%,$(DEB_BUILD_ARCH)),)
DEB_BUILD_GNU_SYSTEM := gnu
else
DEB_BUILD_GNU_SYSTEM := linux
endif
DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_CPU)-$(DEB_BUILD_GNU_SYSTEM)

DEB_HOST_ARCH=$(DEB_BUILD_ARCH)
DEB_HOST_GNU_CPU=$(DEB_BUILD_GNU_CPU)
DEB_HOST_GNU_SYSTEM=$(DEB_BUILD_GNU_SYSTEM)
DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE)

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)


build:
	echo building build tree
	-rm -rf debian/buildtree
	mkdir debian/buildtree
	cp -p * debian/buildtree || true
	cp -r lib popt support testsuite zlib debian/buildtree
	@echo applying acl support patch
	cat patches/acls.diff | (cd debian/buildtree; patch -p1)
	@echo applying misc Debian patches
	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1); fi; done
	echo configuring
	(cd debian/buildtree; ./configure --prefix=/usr --mandir='$${prefix}/share/man' --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE))
	# --enable-acl-support
	echo building
	$(MAKE) --directory=debian/buildtree CFLAGS="$(CFLAGS)" all
	touch build
	echo done

clean: checkdir
	-rm -f build
	# -$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf debian/buildtree
	-rm -rf *~ debian/tmp debian/*~ debian/*.bak debian/files* debian/substvars
	# -rm -f lib/dummy zlib/dummy
	# rm -f config.cache config.log acconfig.h

binary-indep:	checkroot build
# nothing to do

binary-arch:	checkroot build
	-rm -rf debian/tmp
	$(INSTALL_DIR) 	debian/tmp \
			debian/tmp/DEBIAN \
			debian/tmp/usr/bin \
			debian/tmp/usr/share/doc/rsync/examples \

## rsync 3.0.4-3maemo3

=== debian/changelog ===
rsync (3.0.4-3maemo3) fremantle; urgency=low

  * Remove setup for rsyncd (not needed).

 -- Kenneth Loafman <kenneth@loafman.com>  Wed, 29 Apr 2009 13:09:09 -0500

rsync (3.0.4-3maemo2) fremantle; urgency=low

  * Adjust build-depends for base-utils.

 -- Kenneth Loafman <kenneth@loafman.com>  Sat, 03 Apr 2009 10:57:33 -0500

rsync (3.0.4-3maemo1) fremantle; urgency=low

  * No-change upload to extras.

 -- Kenneth Loafman <kenneth@loafman.com>  Thu, 02 Apr 2009 09:14:33 -0500

rsync (3.0.4-3ubuntu1~hardy1) hardy-backports; urgency=low

  [ Chris Coulson ]
  * Source backport for Hardy Backports (LP: #257211)
    - debian/control: Relaxed dependency on lsb-base from (>=3.2-14) to
      (>=3.2-4)
    - debian/init.d: Removed usage of status_of_proc(), as lsb-base in
      Hardy is too old.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 Jan 2009 21:35:04 -0500

rsync (3.0.4-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/control: Deepend on lsb-base >= 3.2-14, providing status_of_proc()
    + debian/init.d: Add the 'status' action. (LP: #251320)
    + Adhere to update-rc.d multiuser deprecation as per
      https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-June/000430.html
      and
      https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2008-July/004662.html
      - debian/control: Drop sys-rc versioned dependecny.
      - debian/init.d: Modify Default-Stop LSB header.
      - debian/postinst: Explicityly specify runlevels again. (LP:  #229336)
    + Remove stop links from rc0 and rc6 (and use update-rc.d multiuser
      instead of defaults)
    + Depen on sys-rc to accomodate the TearDown changes.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Nov 2008 03:23:19 +0000

rsync (3.0.4-3) unstable; urgency=low

  * When transferring files from an older rsync daemon without any options,
    the daemon complained about "unknown option: -". Fixed that with a
    patch from Matt McCutchen.
    closes:#493559
  * Sometimes rsync crashed with a segfault when transferring files with -X
    (preserve extended attributes). Fixed that with a patch from upstream
    (Wayne Davison).
    closes:#498083

 -- Paul Slootman <paul@debian.org>  Wed, 24 Sep 2008 11:35:15 +0200

rsync (3.0.4-2) unstable; urgency=low

  * The log format '%P' patch accidentally reverted an ability to transform a
    relative module path into an absolute one when chroot was not enabled.

 -- Paul Slootman <paul@debian.org>  Fri, 12 Sep 2008 11:00:20 +0200

rsync (3.0.4-1) unstable; urgency=low

  * new upstream release.
  * Fix log format '%P' when a module is chrooted.
    closes:#493539
  * Add a comment to the rsyncd.conf manpage that a hash sign (for comments)
    can only be used at the beginning of a line.
    closes:#498332

 -- Paul Slootman <paul@debian.org>  Thu, 11 Sep 2008 11:57:46 +0200

rsync (3.0.3-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop links from rc0 and rc6.
      (and use update-rc.d multiuser instead of defaults). (TearDown spec)
    - depend on sys-rc to accomodate the TearDown changes.

  [Daniel T. Chen]
  * Adhere to update-rc.d multiuser deprecation as per
    https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-June/000430.html
    and
    https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2008-July/004662.html
    - debian/control: Drop sysv-rc versioned dependency,
    - debian/init.d:   Modify Default-Stop LSB header,
    - debian/postinst: Explicitly specify runlevels again. (LP: #229336)

  [Dustin Kirkland]
  * debian/control: Depend on lsb-base >= 3.2-14, providing status_of_proc().
  * debian/init.d: Add the 'status' action (LP: #251320).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2008 23:52:06 +0100

rsync (3.0.3-2) unstable; urgency=low

  * Included some patches from the upcoming 3.0.4 release, which I consider
    important enough to include now. See debian/patches/README for the
    details.
  * Ensure that the build bails out if patching fails.
  * Added md5sums for this package.
    closes:#484343
  * Updated to standards version 3.7.3. No changes necessary.

 -- Paul Slootman <paul@debian.org>  Fri, 25 Jul 2008 10:43:00 +0200

rsync (3.0.3-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop lilnks from rc0 and rc6
      (and use update-rc.d multiuser instead of defauts). (TearDown spec)
    - depend on sysv-rc to accomodate the TearDown changes.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Jul 2008 00:01:48 +0100

rsync (3.0.3-1) unstable; urgency=low

  * New upstream release

 -- Paul Slootman <paul@debian.org>  Wed, 02 Jul 2008 11:07:22 +0200

rsync (3.0.2-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove stop links from rc0 and rc6
      (and use update-rc.d multiuser instead of defaults). (TearDown spec)
    - depend on sysv-rc to accomodate the TearDown changes.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 16 May 2008 11:48:01 +0200

rsync (3.0.2-2) unstable; urgency=low

  * Fixed a crash if a non-incremental-recursion transfer has a skipped file
    in a set of hard-links.
    closes:#477931

 -- Paul Slootman <paul@debian.org>  Mon, 28 Apr 2008 13:06:35 +0200

rsync (3.0.2-1) unstable; urgency=high

  * new upstream release
  * fixes security problem: potential buffer overflow in the
    extended attribute support. For more info, see
    http://rsync.samba.org/security.html

 -- Paul Slootman <paul@debian.org>  Tue, 08 Apr 2008 19:34:22 +0200

rsync (3.0.1-1) unstable; urgency=low

  * new upstream release
  * call ssh with -6 option if rsync was called with -6 option,
    and ditto for -4 option.
    Upstream considers the -4 and -6 options for use only when talking to a
    daemon, hence this change will remain a Debian-only feature.
    closes:367319

 -- Paul Slootman <paul@debian.org>  Fri, 04 Apr 2008 12:36:56 +0200



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: rsync
-Section: user/utilities
+Section: net
 Priority: optional
-Maintainer: Tom Zerucha <tz1@mac.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
 Build-Depends: libpopt-dev,libacl1-dev,libattr1-dev
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: rsync
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, lsb-base (>= 3.2-4), base-files (>= 3.1)
 Suggests: openssh-client, openssh-server
 Description: fast remote file copy program (like rcp)
  rsync is a program that allows files to be copied to and from remote

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	@echo applying acl support patch
 	cat patches/acls.diff | (cd debian/buildtree; patch -p1)
 	@echo applying misc Debian patches
-	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1); fi; done
+	for i in debian/patches/*.patch debian/patches/*.diff; do if [ -s $$i ]; then echo "  $$i ..."; cat $$i | (cd debian/buildtree; patch -p1) || exit 1; fi; done
 	echo configuring
 	(cd debian/buildtree; ./configure --prefix=/usr --mandir='$${prefix}/share/man' --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE))
 	# --enable-acl-support
@@ -96,7 +96,8 @@
 	$(INSTALL_FILE) README tech_report.tex debian/tmp/usr/share/doc/rsync/
 	$(INSTALL_FILE) TODO                   debian/tmp/usr/share/doc/rsync/
 	$(INSTALL_FILE) NEWS                   debian/tmp/usr/share/doc/rsync/changelog
-	$(INSTALL_FILE) support/atomic-rsync support/cull_options support/cvs2includes support/file-attr-restore support/files-to-excludes support/git-set-file-times support/logfilter support/lsh support/mnt-excl support/munge-symlinks support/rrsync support/rsyncstats debian/tmp/usr/share/doc/rsync/scripts/
+	$(INSTALL_FILE) packaging/cull_options debian/tmp/usr/share/doc/rsync/scripts/
+	$(INSTALL_FILE) support/atomic-rsync support/cvs2includes support/file-attr-restore support/files-to-excludes support/git-set-file-times support/logfilter support/lsh support/mnt-excl support/munge-symlinks support/rrsync support/rsyncstats debian/tmp/usr/share/doc/rsync/scripts/
 	# $(INSTALL_FILE) debian/README.Debian   debian/tmp/usr/share/doc/rsync/
 	echo -e '\n\f' >> debian/tmp/usr/share/doc/rsync/changelog
 	cat OLDNEWS    >> debian/tmp/usr/share/doc/rsync/changelog
@@ -110,6 +111,7 @@
 	$(INSTALL_FILE) debian/default  debian/tmp/etc/default/rsync
 	$(INSTALL_SCRIPT) debian/init.d debian/tmp/etc/init.d/rsync
 	(cd debian/tmp; find ./etc -type f | sed s,.,,) > debian/tmp/DEBIAN/conffiles
+	(cd debian/tmp; find usr -type f -print0 | xargs -0 md5sum) > debian/tmp/DEBIAN/md5sums
 	dpkg-shlibdeps debian/tmp/usr/bin/$(BINS)
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
